Name: 		perl-Pod-Tests
Version: 	0.18
Release: 	5%{?dist}
Summary: 	Extract embedded tests and code examples from POD
License: 	GPL+ or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Pod-Tests/
Source0: 	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Pod-Tests-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: 	noarch

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	/usr/bin/dos2unix

%description
Pod::Tests extracts embedded tests and code examples from POD.
pod2test convert embedded tests and code examples to .t files. 

%prep
%setup -q -n Pod-Tests-%{version}
chmod -x Changes
/usr/bin/dos2unix Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{_bindir}/*
%{perl_vendorlib}/Pod
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 0.18-5
- Update license tag.
- BR: perl(ExtUtils::MakeMaker).

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.18-4
- Mass rebuild.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.18-3
- Rebuild for perl-5.8.8.

* Sun Oct 02 2005 Ralf Corsepius <rc040203@freenet.de> - 0.18-2
- Pollute the spec file with dos2unix to accommodate PR 169112.

* Fri Sep 23 2005 Ralf Corsepius <rc040203@freenet.de> - 0.18-1
- FE submission.
